Bug 91091 - Pine shows same message many times
Pine shows same message many times
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-05-17 15:19 EDT by Petri T. Koistinen
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-30 14:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
My .pinerc file (21.68 KB, text/plain)
2003-05-17 15:21 EDT, Petri T. Koistinen
no flags Details
Pine showing duplicate messages (17.64 KB, image/png)
2003-05-17 15:21 EDT, Petri T. Koistinen
no flags Details
Mailbox file (31.20 KB, application/octet-stream)
2003-05-18 07:55 EDT, Petri T. Koistinen
no flags Details
pineps.log (134 bytes, text/plain)
2003-05-18 07:56 EDT, Petri T. Koistinen
no flags Details

  None (edit)
Description Petri T. Koistinen 2003-05-17 15:19:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Pine will show same message many times. Messages are totaly indentical, all
headers included. Mail system shows that only one message is delivered.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Just subscribe few mailing lists and sort them to folder.
2. See that duplicates appear.

Additional info:

See attached .pinerc file and picture about problem.
Comment 1 Petri T. Koistinen 2003-05-17 15:21:04 EDT
Created attachment 91760 [details]
My .pinerc file
Comment 2 Petri T. Koistinen 2003-05-17 15:21:58 EDT
Created attachment 91761 [details]
Pine showing duplicate messages
Comment 3 Mike A. Harris 2003-05-17 21:19:19 EDT
Please attach a single mailbox file to which this occurs with, for
examination.  Also, when this problem occurs, please switch shells,
and typethe following command, then attach the file pineps.log that
is generated:   ps ax | grep "[p]ine" > pineps.log
Comment 5 Petri T. Koistinen 2003-05-18 07:55:41 EDT
Created attachment 91767 [details]
Mailbox file
Comment 6 Petri T. Koistinen 2003-05-18 07:56:29 EDT
Created attachment 91768 [details]
Comment 7 Petri T. Koistinen 2003-05-18 08:41:43 EDT
Only important addition: this never happens with INBOX, only with folders where
I sort my mailing lists.
Comment 8 Petri T. Koistinen 2003-05-18 19:32:57 EDT
This might affect too, I kill my previous pine before starting new one. Still
Pine should handle it correctly.

$ cat bin/pinei 
killall pine ; pine -i
Comment 9 Mike A. Harris 2003-05-19 23:46:40 EDT
Your problem seems to stem from having multiple copies of pine running
simultaneously.  If multiple pine processes are running, while email
is coming in, and pine has mail filters set up, each pine process will
filter the mail, as each process has no idea there are other pine
processes running.

Your ps listing shows only one pine process, but it also probably isn't
triplicating mails when that output was captured.

Some other data points supporting this theory, is that pine 4.44 has been
out for a very long time now, and not even one other person has reported
this problem before.  I did encounter problems with multiple pine processes
running before causing multiplied emails when using pine filters, so I'm
certain this is what you are experiencing.

The solution to this, is to either:

- Not run multiple concurrant instances of pine accessing the same INBOX
- Use procmail to filter mail into folders instead of pine filters
- Write a wrapper script to run pine, which does:
         "killall pine ; sleep 2 ; pine -i"

My solution was to use procmail instead of pine filters.

If you think that multiple instances of pine should not all act upon their
filters, and should only permit one process to filter mail, feel free to
report a bug report to the pine development team directly upstream if you

For additional suggestions, you may also want to consult the pine-info
mailing list.

Hope this helps.

Closing as NOTABUG
Comment 10 Petri T. Koistinen 2003-05-20 01:36:03 EDT
"Your problem seems to stem from having multiple copies of pine running

I never have. See my previous comment, I already _have_ such wrapper script.
Comment 11 Mike A. Harris 2003-05-20 02:23:13 EDT
That may very well be the case.  Nonetheless, if there is a bug in pine,
occuring with a lone single instance of pine running, then this problem
is very rare, and not reproduceable easily.

With only one user reporting this as a problem out of multiple OS releases,
I can't give this any sort of high priority to investigate.  Red Hat provides
software updates for security issues, and for major software bugs.  This
problem, is neither, and so it would fall into the type of problem that
would either be investigated for the next OS release, or deferred to
the upstream pine developers as a generic pine problem.  Additionally, there
are workarounds as suggested above.

Pine was deprecated in Red Hat Linux 9, and is now removed from rawhide.  It
will not be in the next OS release, and so there wont be any updates available
via that mechanism.

If you indeed consider this a bug in pine (which I do not) then I urge you
to contact the pine development team directly at the University of Washington.
You will need to provide them with a detailed explanation of the problem, and
probably detailed step by step instructions on how to reproduce 100%.  They
will also likely require you to upgrade to pine 4.55 prior to them
investigating the problem.

Comment 12 Petri T. Koistinen 2003-05-20 02:28:14 EDT
Ok, I am fine with that.
Comment 13 Petri T. Koistinen 2003-05-30 05:21:35 EDT
HOWTO reproduce the bug:

Start pine
Nickname: test
Subject: test
Filter Action: Move, Folder List = test
Exit Setup
Commit changes: yes
Create test folder: yes
Exit Setup
Commit changes: yes

Compose Message:
To: your-account@localhost
Subject: test
Send message: yes
Wait until test message is filter to test folder

i = 1;
        to go to test folder, do nothing.
        open another shell, type: killall pine
        start pine again
        go to test folder and see i messages.
while (belive != TRUE)

If you don't kill pine, but quit, message won't be duplicated.

Reason seems to be that message is in INBOX until Pine has been quited and if
Pine gets killed, message will be filtered again to folder from INBOX. So
message MUST be removed from INBOX when it's moved to another folder.

No, correct solution is not: "Do not kill Pine."

(I reopened this bug just to get confirmation that you have read this message. I
am in process of forwarding this bug to UW Pine Development team.)
Comment 14 Petri T. Koistinen 2003-05-30 14:27:28 EDT
Got reply:
We don't do that because it is expensive to remove (Expunge) the message
from INBOX. There is a filter feature which is intended to solve this
problem. At the bottom of the filter definition page look for


Steve Hubert <hubert@washington.edu>
Networks and Distributed Computing, Univ. of Washington, Seattle

Note You need to log in before you can comment on or make changes to this bug.